# 360-Grad-Video-Experience-mit-Unity-Workshop

**Ziele des Workshops:** <br> Vertraut machen mit den Grundlagen der Unity Entwicklung. Anhand der entwickelten Codebeispiele selbstständig eine 360 Grad Video VR Experience erstellen können.

Workshop vom 20.04. - 24.04.2020

**verwendete Hardware:**<br> 
Insta360 Pro 2, HTC Vive

**verwendete Software:**<br> 
Unity LTS-Version 2018.4.22f1 (https://unity3d.com/de/unity/qa/lts-releases)<br> 
Insta360 Pro Stitcher (https://onlinemanual.insta360.com/pro2/en-us/basic/prepare/software)<br> 
Visual Studio 2019 v16.5 (https://visualstudio.microsoft.com/de/downloads/)

**Ziele:**<br> 
Die Teilnehmer*innen sollen mit den Grundlagen der Unity Entwicklung vertraut gemacht werden und im Anschluss anhand der entwickelten Codebeispiele selbstständig eine 360 Grad Video VR Experience mit Unity erstellen können. 

**Ablauf:**<br> 
1. Tag – Einführung in die Grundlagen der Unity Entwicklung. Erstellen einer Beispielszene. Exkursion: Material - Textur - Shader. Abwägen der Darstellungsmöglichkeiten (Skybox ↔ Sphere)
  
2. Tag – Entwicklung einer einfachen UI-basierten und einer komplexeren Gaze-Tracking basierten App-Navigation für die verschiedenen 360 Grad Szenen. Entwerfen des Storyboards für das Beispielprojekt und Vorbereitung des Aufnahme-Equipments. Exkursion: Audio Source - Audiomixer - Audiolistener

3. Tag – Produktion der Videosequenzen und SoundFX für die VR-Experience, Stitchen des 360 Grad Materials und Postproduktion der Audiosamples.

4. Tag – Importmöglichkeiten / Formatkonvertierung mit Unity. Einfügen des Materials in das Unity Projekt. Verknüpfen der Szenen.

5. Tag – Build Settings, Plattformspezifische Besonderheiten